#include <iostream>
#include "sun.h"

#include <iomanip>

int main()
{
	std::cout<<std::setprecision(15);
	Sun sun(49.884450, 8.650536);
	std::time_t time = sun.setTime();
	tm setTime = *localtime(&time);
	time = sun.riseTime();
	tm riseTime = *localtime(&time);
	std::cout<<"sunset: "<<setTime.tm_hour<<':'<<setTime.tm_min<<std::endl;
	std::cout<<"riseTime: "<<riseTime.tm_hour<<':'<<riseTime.tm_min<<std::endl;
	std::cout<<"current Alt: "<<sun.altitude()<<std::endl;
	std::cout<<"maximum Alt: "<<sun.maximumAltitude()<<std::endl;
	std::cout<<"declination: "<<sun.declination()<<std::endl;
	return 0;
}
